Bug 571614 - grubby stuck while editing grub.conf
grubby stuck while editing grub.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 20:00 EST by Michal Jaegermann
Modified: 2012-08-16 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2010-03-08 20:00:55 EST
Description of problem:

While applying rawhide updates yum got stuck when updating kernel.  A peek into a process table revealed the following:

root      2249  7.2 20.2 977388 99520 pts/0    S+   16:53   0:54  |       \_ /usr/bin/python /usr/bin/yum --skip-broken --exclude=gdm update
root     10621  0.0  0.2 104900  1212 pts/0    S+   17:00   0:00  |           \_ /bin/sh /var/tmp/rpm-tmp.g1WDRE 4
root     10624  0.0  0.2 105032  1384 pts/0    S+   17:00   0:00  |               \_ /bin/bash /sbin/new-kernel-pkg --package kernel --install 2.6.34-0.9.rc0.git13.fc14.x86_64
root     10637 98.2  0.1  13368   868 pts/0    R+   17:00   5:42  |                   \_ /sbin/grubby --add-kernel=/boot/vmlinuz-2.6.34-0.9.rc0.git13.fc14.x86_64 --copy-default --title Fedora (2.6.34-0.9.rc0.git13.fc14.x86_64) --args=root=LABEL=/1  --remove-kernel=TITLE=Fedora (2.6.34-0.9.rc0.git13.fc14.x86_64)

Nothing was happening until I killed a process 10637. This excerpt from yum.log:

Mar 08 16:59:59 Updated: c-ares-1.7.0-3.fc14.i686
Mar 08 17:07:24 Installed: kernel-2.6.34-0.9.rc0.git13.fc14.x86_64

gives an idea about a wall clock time.

A subsequent examination revealed that /boot/ content was complete with a new initramfs in place (I have hostonly="yes" in /etc/dracut.conf) and all 2.6.33-0.48.rc8.git1.fc14 elements gone both from /boot and from grub.conf - exactly like expected.  Only there was nothing in grub.conf for 2.6.34-0.9.rc0.git13.fc14.x86_64 and apparently it was not going to show up.

After a manual edit of grub.conf to add a missing 2.6.34-0.9.rc0.git13.fc14.x86_64 stanza that kernel booted without any undue fuss.

Version-Release number of selected component (if applicable):
grubby-7.0.13-1.fc13.x86_64

How reproducible:
Not very so far.  This is the second incident of that sort I have seen but this one after a number of uneventfull updates.  The previous one looked also as in that description above.


Additional info:
It happened to me once before in not so distant past.  A number of updates after that went through without incidents and I could not see what can possibly cause something like that so I chalked this to "cosmic rays".  It appears though that this may be not that rare.
Comment 1 Bug Zapper 2010-07-30 07:00:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2012-08-16 15:48:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.